Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-rh-1097457.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-rh-1097457.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-rh-1097457.dot
@@ -1,13 +1,25 @@
 digraph "g" {
+"FAKE1-IP_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FAKE1-IP_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
+"FAKE1_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FAKE1_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
+"FAKE2-IP_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FAKE2-IP_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
+"FAKE2_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FAKE2_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
+"FAKE3-IP_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FAKE3-IP_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
+"FAKE3_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FAKE3_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
 "FAKE4-IP_monitor_0 lamaVM1" -> "FAKE4-IP_start_0 lamaVM2" [ style = bold]
+"FAKE4-IP_monitor_0 lamaVM1" -> "FAKE4_stop_0 lamaVM2" [ style = bold]
+"FAKE4-IP_monitor_0 lamaVM1" -> "all_stopped" [ style = bold]
+"FAKE4-IP_monitor_0 lamaVM1" -> "lamaVM2-G4_stopped_0" [ style = bold]
 "FAKE4-IP_monitor_0 lamaVM1" [ style=bold color="green" fontcolor="black"]
 "FAKE4-IP_monitor_0 lamaVM3" -> "FAKE4-IP_start_0 lamaVM2" [ style = bold]
+"FAKE4-IP_monitor_0 lamaVM3" -> "FAKE4_stop_0 lamaVM2" [ style = bold]
+"FAKE4-IP_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
+"FAKE4-IP_monitor_0 lamaVM3" -> "lamaVM2-G4_stopped_0" [ style = bold]
 "FAKE4-IP_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
 "FAKE4-IP_monitor_30000 lamaVM2" [ style=bold color="green" fontcolor="black"]
 "FAKE4-IP_start_0 lamaVM2" -> "FAKE4-IP_monitor_30000 lamaVM2" [ style = bold]
@@ -19,8 +31,12 @@ digraph "g" {
 "FAKE4-IP_stop_0 lamaVM2" -> "lamaVM2-G4_stopped_0" [ style = bold]
 "FAKE4-IP_stop_0 lamaVM2" [ style=bold color="green" fontcolor="orange"]
 "FAKE4_monitor_0 lamaVM1" -> "FAKE4_start_0 lamaVM2" [ style = bold]
+"FAKE4_monitor_0 lamaVM1" -> "all_stopped" [ style = bold]
+"FAKE4_monitor_0 lamaVM1" -> "lamaVM2-G4_stopped_0" [ style = bold]
 "FAKE4_monitor_0 lamaVM1" [ style=bold color="green" fontcolor="black"]
 "FAKE4_monitor_0 lamaVM3" -> "FAKE4_start_0 lamaVM2" [ style = bold]
+"FAKE4_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
+"FAKE4_monitor_0 lamaVM3" -> "lamaVM2-G4_stopped_0" [ style = bold]
 "FAKE4_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
 "FAKE4_monitor_30000 lamaVM2" [ style=bold color="green" fontcolor="black"]
 "FAKE4_start_0 lamaVM2" -> "FAKE4-IP_start_0 lamaVM2" [ style = bold]
@@ -31,10 +47,15 @@ digraph "g" {
 "FAKE4_stop_0 lamaVM2" -> "all_stopped" [ style = bold]
 "FAKE4_stop_0 lamaVM2" -> "lamaVM2-G4_stopped_0" [ style = bold]
 "FAKE4_stop_0 lamaVM2" [ style=bold color="green" fontcolor="orange"]
+"FAKE5-IP_monitor_0 lamaVM1" -> "all_stopped" [ style = bold]
 "FAKE5-IP_monitor_0 lamaVM1" [ style=bold color="green" fontcolor="black"]
+"FAKE5-IP_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FAKE5-IP_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
+"FAKE5_monitor_0 lamaVM1" -> "all_stopped" [ style = bold]
 "FAKE5_monitor_0 lamaVM1" [ style=bold color="green" fontcolor="black"]
+"FAKE6-IP_monitor_0 lamaVM1" -> "all_stopped" [ style = bold]
 "FAKE6-IP_monitor_0 lamaVM1" [ style=bold color="green" fontcolor="black"]
+"FAKE6-IP_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FAKE6-IP_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
 "FAKE6-clone_running_0" [ style=bold color="green" fontcolor="orange"]
 "FAKE6-clone_start_0" -> "FAKE6-clone_running_0" [ style = bold]
@@ -53,11 +74,17 @@ digraph "g" {
 "FAKE6_stop_0 lamaVM2" -> "FAKE6_start_0 lamaVM2" [ style = bold]
 "FAKE6_stop_0 lamaVM2" -> "all_stopped" [ style = bold]
 "FAKE6_stop_0 lamaVM2" [ style=bold color="green" fontcolor="orange"]
+"FSlun1_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FSlun1_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
+"FSlun2_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FSlun2_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
 "FSlun3_monitor_0 lamaVM1" -> "FSlun3_start_0 lama2" [ style = bold]
+"FSlun3_monitor_0 lamaVM1" -> "VM2_stop_0 lama3" [ style = bold]
+"FSlun3_monitor_0 lamaVM1" -> "all_stopped" [ style = bold]
 "FSlun3_monitor_0 lamaVM1" [ style=bold color="green" fontcolor="black"]
 "FSlun3_monitor_0 lamaVM3" -> "FSlun3_start_0 lama2" [ style = bold]
+"FSlun3_monitor_0 lamaVM3" -> "VM2_stop_0 lama3" [ style = bold]
+"FSlun3_monitor_0 lamaVM3" -> "all_stopped" [ style = bold]
 "FSlun3_monitor_0 lamaVM3" [ style=bold color="green" fontcolor="black"]
 "FSlun3_monitor_10000 lama2" [ style=bold color="green" fontcolor="black"]
 "FSlun3_monitor_10000 lamaVM2" [ style=bold color="green" fontcolor="black"]
@@ -67,6 +94,7 @@ digraph "g" {
 "FSlun3_stop_0 lamaVM2" -> "FSlun3_start_0 lama2" [ style = bold]
 "FSlun3_stop_0 lamaVM2" -> "all_stopped" [ style = bold]
 "FSlun3_stop_0 lamaVM2" [ style=bold color="green" fontcolor="orange"]
+"FSlun4_monitor_0 lamaVM1" -> "all_stopped" [ style = bold]
 "FSlun4_monitor_0 lamaVM1" [ style=bold color="green" fontcolor="black"]
 "VM2_monitor_10000 lama3" [ style=bold color="green" fontcolor="black"]
 "VM2_start_0 lama3" -> "FAKE4-IP_start_0 lamaVM2" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-rh-1097457.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-rh-1097457.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-rh-1097457.exp
@@ -42,6 +42,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="FSlun3_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="35" operation="monitor" operation_key="FSlun3_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="111" operation="stop" operation_key="lamaVM2_stop_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
     </inputs>
@@ -259,6 +265,18 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="FAKE4_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="FAKE4-IP_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="44" operation="monitor" operation_key="FAKE4_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="45" operation="monitor" operation_key="FAKE4-IP_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="91" operation="stop" operation_key="FAKE4_stop_0"/>
       </trigger>
       <trigger>
@@ -353,6 +371,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="FAKE4-IP_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="45" operation="monitor" operation_key="FAKE4-IP_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="93" operation="stop" operation_key="FAKE4-IP_stop_0"/>
       </trigger>
       <trigger>
@@ -669,6 +693,66 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="FSlun3_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="FSlun4_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="FAKE5-IP_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="FAKE6-IP_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="FAKE5_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="FAKE4_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="FAKE4-IP_monitor_0" on_node="lamaVM1" on_node_uuid="lamaVM1" router_node="lama2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="33" operation="monitor" operation_key="FSlun1_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="34" operation="monitor" operation_key="FSlun2_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="35" operation="monitor" operation_key="FSlun3_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="36" operation="monitor" operation_key="FAKE5-IP_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="37" operation="monitor" operation_key="FAKE6-IP_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="38" operation="monitor" operation_key="FAKE1_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="39" operation="monitor" operation_key="FAKE1-IP_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="40" operation="monitor" operation_key="FAKE2_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="41" operation="monitor" operation_key="FAKE2-IP_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="42" operation="monitor" operation_key="FAKE3_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="43" operation="monitor" operation_key="FAKE3-IP_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="44" operation="monitor" operation_key="FAKE4_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="45" operation="monitor" operation_key="FAKE4-IP_monitor_0" on_node="lamaVM3" on_node_uuid="lamaVM3" router_node="lama3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="56" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-replicas-change.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-replicas-change.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-replicas-change.dot
@@ -12,6 +12,7 @@ digraph "g" {
 "httpd-bundle-0_stop_0 rh74-test" -> "httpd-bundle-0_start_0 rh74-test" [ style = bold]
 "httpd-bundle-0_stop_0 rh74-test" -> "httpd-bundle-docker-0_stop_0 rh74-test" [ style = bold]
 "httpd-bundle-0_stop_0 rh74-test" [ style=bold color="green" fontcolor="black"]
+"httpd-bundle-1_monitor_0 rh74-test" -> "all_stopped" [ style = bold]
 "httpd-bundle-1_monitor_0 rh74-test" -> "httpd-bundle-1_start_0 rh74-test" [ style = bold]
 "httpd-bundle-1_monitor_0 rh74-test" [ style=bold color="green" fontcolor="black"]
 "httpd-bundle-1_monitor_30000 rh74-test" [ style=bold color="green" fontcolor="black"]
@@ -19,6 +20,7 @@ digraph "g" {
 "httpd-bundle-1_start_0 rh74-test" -> "httpd:1_monitor_10000 httpd-bundle-1" [ style = bold]
 "httpd-bundle-1_start_0 rh74-test" -> "httpd:1_start_0 httpd-bundle-1" [ style = bold]
 "httpd-bundle-1_start_0 rh74-test" [ style=bold color="green" fontcolor="black"]
+"httpd-bundle-2_monitor_0 rh74-test" -> "all_stopped" [ style = bold]
 "httpd-bundle-2_monitor_0 rh74-test" -> "httpd-bundle-2_start_0 rh74-test" [ style = bold]
 "httpd-bundle-2_monitor_0 rh74-test" [ style=bold color="green" fontcolor="black"]
 "httpd-bundle-2_monitor_30000 rh74-test" [ style=bold color="green" fontcolor="black"]
@@ -43,8 +45,10 @@ digraph "g" {
 "httpd-bundle-docker-0_stop_0 rh74-test" -> "httpd-bundle-docker-0_start_0 rh74-test" [ style = bold]
 "httpd-bundle-docker-0_stop_0 rh74-test" -> "httpd-bundle_stopped_0" [ style = bold]
 "httpd-bundle-docker-0_stop_0 rh74-test" [ style=bold color="green" fontcolor="black"]
+"httpd-bundle-docker-1_monitor_0 rh74-test" -> "all_stopped" [ style = bold]
 "httpd-bundle-docker-1_monitor_0 rh74-test" -> "httpd-bundle-clone_start_0" [ style = bold]
 "httpd-bundle-docker-1_monitor_0 rh74-test" -> "httpd-bundle-docker-1_start_0 rh74-test" [ style = bold]
+"httpd-bundle-docker-1_monitor_0 rh74-test" -> "httpd-bundle_stopped_0" [ style = bold]
 "httpd-bundle-docker-1_monitor_0 rh74-test" [ style=bold color="green" fontcolor="black"]
 "httpd-bundle-docker-1_monitor_60000 rh74-test" [ style=bold color="green" fontcolor="black"]
 "httpd-bundle-docker-1_start_0 rh74-test" -> "httpd-bundle-1_monitor_0 rh74-test" [ style = bold]
@@ -53,8 +57,10 @@ digraph "g" {
 "httpd-bundle-docker-1_start_0 rh74-test" -> "httpd-bundle_running_0" [ style = bold]
 "httpd-bundle-docker-1_start_0 rh74-test" -> "httpd:1_start_0 httpd-bundle-1" [ style = bold]
 "httpd-bundle-docker-1_start_0 rh74-test" [ style=bold color="green" fontcolor="black"]
+"httpd-bundle-docker-2_monitor_0 rh74-test" -> "all_stopped" [ style = bold]
 "httpd-bundle-docker-2_monitor_0 rh74-test" -> "httpd-bundle-clone_start_0" [ style = bold]
 "httpd-bundle-docker-2_monitor_0 rh74-test" -> "httpd-bundle-docker-2_start_0 rh74-test" [ style = bold]
+"httpd-bundle-docker-2_monitor_0 rh74-test" -> "httpd-bundle_stopped_0" [ style = bold]
 "httpd-bundle-docker-2_monitor_0 rh74-test" [ style=bold color="green" fontcolor="black"]
 "httpd-bundle-docker-2_monitor_60000 rh74-test" [ style=bold color="green" fontcolor="black"]
 "httpd-bundle-docker-2_start_0 rh74-test" -> "httpd-bundle-2_monitor_0 rh74-test" [ style = bold]
@@ -63,12 +69,14 @@ digraph "g" {
 "httpd-bundle-docker-2_start_0 rh74-test" -> "httpd-bundle_running_0" [ style = bold]
 "httpd-bundle-docker-2_start_0 rh74-test" -> "httpd:2_start_0 httpd-bundle-2" [ style = bold]
 "httpd-bundle-docker-2_start_0 rh74-test" [ style=bold color="green" fontcolor="black"]
+"httpd-bundle-ip-192.168.20.189_monitor_0 rh74-test" -> "all_stopped" [ style = bold]
 "httpd-bundle-ip-192.168.20.189_monitor_0 rh74-test" -> "httpd-bundle-ip-192.168.20.189_start_0 rh74-test" [ style = bold]
 "httpd-bundle-ip-192.168.20.189_monitor_0 rh74-test" [ style=bold color="green" fontcolor="black"]
 "httpd-bundle-ip-192.168.20.189_monitor_60000 rh74-test" [ style=bold color="green" fontcolor="black"]
 "httpd-bundle-ip-192.168.20.189_start_0 rh74-test" -> "httpd-bundle-docker-1_start_0 rh74-test" [ style = bold]
 "httpd-bundle-ip-192.168.20.189_start_0 rh74-test" -> "httpd-bundle-ip-192.168.20.189_monitor_60000 rh74-test" [ style = bold]
 "httpd-bundle-ip-192.168.20.189_start_0 rh74-test" [ style=bold color="green" fontcolor="black"]
+"httpd-bundle-ip-192.168.20.190_monitor_0 rh74-test" -> "all_stopped" [ style = bold]
 "httpd-bundle-ip-192.168.20.190_monitor_0 rh74-test" -> "httpd-bundle-ip-192.168.20.190_start_0 rh74-test" [ style = bold]
 "httpd-bundle-ip-192.168.20.190_monitor_0 rh74-test" [ style=bold color="green" fontcolor="black"]
 "httpd-bundle-ip-192.168.20.190_monitor_60000 rh74-test" [ style=bold color="green" fontcolor="black"]
@@ -84,6 +92,7 @@ digraph "g" {
 "httpd-bundle_stop_0" -> "httpd-bundle-docker-0_stop_0 rh74-test" [ style = bold]
 "httpd-bundle_stop_0" [ style=bold color="green" fontcolor="orange"]
 "httpd-bundle_stopped_0" [ style=bold color="green" fontcolor="orange"]
+"httpd:0_monitor_0 httpd-bundle-0" -> "all_stopped" [ style = bold]
 "httpd:0_monitor_0 httpd-bundle-0" -> "httpd-bundle-clone_start_0" [ style = bold]
 "httpd:0_monitor_0 httpd-bundle-0" [ style=bold color="green" fontcolor="black"]
 "httpd:0_monitor_10000 httpd-bundle-0" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-replicas-change.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-replicas-change.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-replicas-change.exp
@@ -524,6 +524,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="httpd-bundle-docker-1_monitor_0" on_node="rh74-test" on_node_uuid="3232287163"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="httpd-bundle-docker-2_monitor_0" on_node="rh74-test" on_node_uuid="3232287163"/>
+      </trigger>
+      <trigger>
         <rsc_op id="17" operation="stop" operation_key="httpd-bundle-docker-0_stop_0" on_node="rh74-test" on_node_uuid="3232287163"/>
       </trigger>
     </inputs>
@@ -573,6 +579,27 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="httpd:0_monitor_0" on_node="httpd-bundle-0" on_node_uuid="httpd-bundle-0" router_node="rh74-test"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="httpd-bundle-ip-192.168.20.189_monitor_0" on_node="rh74-test" on_node_uuid="3232287163"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="httpd-bundle-docker-1_monitor_0" on_node="rh74-test" on_node_uuid="3232287163"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="httpd-bundle-1_monitor_0" on_node="rh74-test" on_node_uuid="3232287163"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="httpd-bundle-ip-192.168.20.190_monitor_0" on_node="rh74-test" on_node_uuid="3232287163"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="httpd-bundle-docker-2_monitor_0" on_node="rh74-test" on_node_uuid="3232287163"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="httpd-bundle-2_monitor_0" on_node="rh74-test" on_node_uuid="3232287163"/>
+      </trigger>
+      <trigger>
         <rsc_op id="17" operation="stop" operation_key="httpd-bundle-docker-0_stop_0" on_node="rh74-test" on_node_uuid="3232287163"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/clone-no-shuffle.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/clone-no-shuffle.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/clone-no-shuffle.dot
@@ -12,7 +12,9 @@ digraph "g" {
 "drbd1:0_stop_0 dktest2sles10" -> "all_stopped" [ style = bold]
 "drbd1:0_stop_0 dktest2sles10" -> "ms-drbd1_stopped_0" [ style = bold]
 "drbd1:0_stop_0 dktest2sles10" [ style=bold color="green" fontcolor="black" ]
+"drbd1:1_monitor_0 dktest1sles10" -> "all_stopped" [ style = bold]
 "drbd1:1_monitor_0 dktest1sles10" -> "ms-drbd1_start_0" [ style = bold]
+"drbd1:1_monitor_0 dktest1sles10" -> "ms-drbd1_stopped_0" [ style = bold]
 "drbd1:1_monitor_0 dktest1sles10" [ style=bold color="green" fontcolor="black" ]
 "drbd1:1_monitor_11000 dktest1sles10" [ style=bold color="green" fontcolor="black" ]
 "drbd1:1_post_notify_start_0 dktest1sles10" -> "ms-drbd1_confirmed-post_notify_running_0" [ style = bold]
@@ -71,11 +73,15 @@ digraph "g" {
 "ms-drbd1_stopped_0" -> "ms-drbd1_post_notify_stopped_0" [ style = bold]
 "ms-drbd1_stopped_0" -> "ms-drbd1_start_0" [ style = bold]
 "ms-drbd1_stopped_0" [ style=bold color="green" fontcolor="orange" ]
+"stonith-1_monitor_0 dktest1sles10" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 dktest1sles10" -> "stonith-1_start_0 dktest1sles10" [ style = bold]
 "stonith-1_monitor_0 dktest1sles10" [ style=bold color="green" fontcolor="black" ]
+"stonith-1_monitor_0 dktest2sles10" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 dktest2sles10" -> "stonith-1_start_0 dktest1sles10" [ style = bold]
 "stonith-1_monitor_0 dktest2sles10" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 dktest1sles10" [ style=bold color="green" fontcolor="black" ]
+"testip_monitor_0 dktest1sles10" -> "all_stopped" [ style = bold]
+"testip_monitor_0 dktest1sles10" -> "ms-drbd1_demote_0" [ style = bold]
 "testip_monitor_0 dktest1sles10" [ style=bold color="green" fontcolor="black" ]
 "testip_stop_0 dktest2sles10" -> "all_stopped" [ style = bold]
 "testip_stop_0 dktest2sles10" -> "ms-drbd1_demote_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group5.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/group5.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group5.dot
@@ -1,6 +1,8 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1_monitor_0 node2" -> "child_rsc1_start_0 node2" [ style = bold]
+"child_rsc1_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1_start_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
 "child_rsc1_start_0 node2" -> "rsc2_running_0" [ style = bold]
@@ -9,7 +11,10 @@
 "child_rsc1_stop_0 node1" -> "child_rsc1_start_0 node2" [ style = bold]
 "child_rsc1_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc2_monitor_0 node2" -> "child_rsc1_stop_0 node1" [ style = bold]
 "child_rsc2_monitor_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
+"child_rsc2_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_start_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
 "child_rsc2_start_0 node2" -> "rsc2_running_0" [ style = bold]
@@ -19,7 +24,10 @@
 "child_rsc2_stop_0 node1" -> "child_rsc2_start_0 node2" [ style = bold]
 "child_rsc2_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc3_monitor_0 node2" -> "child_rsc2_stop_0 node1" [ style = bold]
 "child_rsc3_monitor_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
+"child_rsc3_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc3_start_0 node2" -> "rsc2_running_0" [ style = bold]
 "child_rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -28,6 +36,7 @@
 "child_rsc3_stop_0 node1" -> "child_rsc3_start_0 node2" [ style = bold]
 "child_rsc3_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" -> "rsc2_start_0" [ style = bold]
@@ -50,6 +59,8 @@
 "rsc2_stopped_0" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc2_stopped_0" -> "rsc2_start_0" [ style = bold]
 "rsc2_stopped_0" [ style=bold color="green" fontcolor="orange" ]
+"rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc3_monitor_0 node2" -> "rsc2_stop_0" [ style = bold]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node2" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group6.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/group6.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group6.dot
@@ -1,6 +1,8 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1_monitor_0 node2" -> "child_rsc1_start_0 node2" [ style = bold]
+"child_rsc1_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1_start_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
 "child_rsc1_start_0 node2" -> "rsc1_running_0" [ style = bold]
@@ -9,7 +11,10 @@
 "child_rsc1_stop_0 node1" -> "child_rsc1_start_0 node2" [ style = bold]
 "child_rsc1_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc2_monitor_0 node2" -> "child_rsc1_stop_0 node1" [ style = bold]
 "child_rsc2_monitor_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
+"child_rsc2_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_start_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
 "child_rsc2_start_0 node2" -> "rsc1_running_0" [ style = bold]
@@ -19,7 +24,10 @@
 "child_rsc2_stop_0 node1" -> "child_rsc2_start_0 node2" [ style = bold]
 "child_rsc2_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc3_monitor_0 node2" -> "child_rsc2_stop_0 node1" [ style = bold]
 "child_rsc3_monitor_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
+"child_rsc3_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc3_start_0 node2" -> "rsc1_running_0" [ style = bold]
 "child_rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -28,7 +36,9 @@
 "child_rsc3_stop_0 node1" -> "child_rsc3_start_0 node2" [ style = bold]
 "child_rsc3_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc4_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc4_monitor_0 node2" -> "child_rsc4_start_0 node2" [ style = bold]
+"child_rsc4_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc4_start_0 node2" -> "child_rsc5_start_0 node2" [ style = bold]
 "child_rsc4_start_0 node2" -> "rsc2_running_0" [ style = bold]
@@ -37,7 +47,10 @@
 "child_rsc4_stop_0 node1" -> "child_rsc4_start_0 node2" [ style = bold]
 "child_rsc4_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc5_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc5_monitor_0 node2" -> "child_rsc4_stop_0 node1" [ style = bold]
 "child_rsc5_monitor_0 node2" -> "child_rsc5_start_0 node2" [ style = bold]
+"child_rsc5_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc5_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc5_start_0 node2" -> "child_rsc6_start_0 node2" [ style = bold]
 "child_rsc5_start_0 node2" -> "rsc2_running_0" [ style = bold]
@@ -47,7 +60,10 @@
 "child_rsc5_stop_0 node1" -> "child_rsc5_start_0 node2" [ style = bold]
 "child_rsc5_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc5_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc6_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc6_monitor_0 node2" -> "child_rsc5_stop_0 node1" [ style = bold]
 "child_rsc6_monitor_0 node2" -> "child_rsc6_start_0 node2" [ style = bold]
+"child_rsc6_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc6_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc6_start_0 node2" -> "rsc2_running_0" [ style = bold]
 "child_rsc6_start_0 node2" [ style=bold color="green" fontcolor="black" ]
